### Constructor

# Foundry JsonLlmResource new

#### Declaration [src]

    FoundryLlmResource*
    foundry_json_llm_resource_new (
      const char* name,
      const char* uri,
      const char* description,
      JsonNode* node
    )

#### Description

No description available.

#### Parameters

`name`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`uri`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`description`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`node`

  Type: `JsonNode`

  No description available.

  The data is owned by the caller of the function.

#### Return value

Type: `FoundryLlmResource`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.